Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CglImplication Class Reference

This just uses implication info. More...

`#include <CglProbing.hpp>`

Inheritance diagram for CglImplication:
[legend]
Collaboration diagram for CglImplication:
[legend]

## Public Member Functions
Generate Cuts
virtual void | generateCuts (const OsiSolverInterface &si, OsiCuts &cs, const CglTreeInfo info=CglTreeInfo())
    Generate cuts from implication table
Insert generated cuts into the cut set cs. More...
Constructors and destructors
| CglImplication ()
| Default constructor. More...
| CglImplication (CglTreeProbingInfo *info)
| Constructor with info. More...
| CglImplication (const CglImplication &)
| Copy constructor. More...
virtual CglCutGenerator * | clone () const
| Clone. More...
CglImplication & | operator= (const CglImplication &rhs)
| Assignment operator. More...
virtual | ~CglImplication ()
| Destructor. More...
virtual std::string | generateCpp (FILE *fp)
| Create C++ lines to get to current state. More...
Set implication
void | setProbingInfo (CglTreeProbingInfo *info)
| Set implication. More...
Public Member Functions inherited from CglCutGenerator
| CglCutGenerator ()
| Default constructor. More...
| CglCutGenerator (const CglCutGenerator &)
| Copy constructor. More...
CglCutGenerator & | operator= (const CglCutGenerator &rhs)
| Assignment operator. More...
virtual | ~CglCutGenerator ()
| Destructor. More...
virtual void | refreshSolver (OsiSolverInterface *)
| This can be used to refresh any information. More...
int | getAggressiveness () const
| Get Aggressiveness - 0 = neutral, 100 is normal root node. More...
void | setAggressiveness (int value)
| Set Aggressiveness - 0 = neutral, 100 is normal root node. More...
void | setGlobalCuts (bool trueOrFalse)
| Set whether can do global cuts. More...
bool | canDoGlobalCuts () const
| Say whether can do global cuts. More...
virtual bool | mayGenerateRowCutsInTree () const
| Returns true if may generate Row cuts in tree (rather than root node). More...
virtual bool | needsOptimalBasis () const
| Return true if needs optimal basis to do cuts. More...
virtual int | maximumLengthOfCutInTree () const
| Return maximum length of cut in tree. More...

## Private Attributes
Private member data
CglTreeProbingInfo * | probingInfo_
| Pointer to tree probing info. More...

## Additional Inherited Members
Public Attributes inherited from CglCutGenerator
int | aggressive_
| Aggressiveness - 0 = neutral, 100 is normal root node. More...
bool | canDoGlobalCuts_
| True if can do global cuts i.e. no general integers. More...

## Detailed Description

This just uses implication info.

Definition at line 490 of file CglProbing.hpp.

## Constructor & Destructor Documentation

CglImplication::CglImplication | ( |  | ) |

Default constructor.

CglImplication::CglImplication | ( | CglTreeProbingInfo * | info | ) |

Constructor with info.

CglImplication::CglImplication | ( | const CglImplication & |  | ) |

Copy constructor.

virtual CglImplication::~CglImplication | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

virtual void CglImplication::generateCuts | ( | const OsiSolverInterface & | si,
|  | OsiCuts & | cs,
|  | const CglTreeInfo | info = `CglTreeInfo()`
| ) |  |
| virtual

    Generate cuts from implication table

Insert generated cuts into the cut set cs.

Implements CglCutGenerator.

virtual CglCutGenerator* CglImplication::clone | ( |  | ) | const
| virtual

Clone.

Implements CglCutGenerator.

CglImplication& CglImplication::operator= | ( | const CglImplication & | rhs | ) |

Assignment operator.

virtual std::string CglImplication::generateCpp | ( | FILE * | fp | ) |
| virtual

Create C++ lines to get to current state.

Reimplemented from CglCutGenerator.

void CglImplication::setProbingInfo | ( | CglTreeProbingInfo * | info | ) |
| inline

Set implication.

Definition at line 532 of file CglProbing.hpp.

## Member Data Documentation

CglTreeProbingInfo* CglImplication::probingInfo_
| private

Pointer to tree probing info.

Definition at line 540 of file CglProbing.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/Cgl/src/CglProbing/CglProbing.hpp